<script>
import { useAuthStore } from '../stores/auth.store';

const baseUrl = `${import.meta.env.VITE_API_URL}/users/`;

export default {
    data() {
        return {
            email_from_input: '',
            error_message: ''
        };
    },
    methods: {
        async store_email() {
            const authStore = useAuthStore();

            await this.$axios
                .post(baseUrl, {
                    email: this.email_from_input
                })
                .then((resp) => authStore.login(resp.data))
                .catch((error) => {
                    if (error.response.status == 400) {
                        this.error_message = error.response.data.errors[0].message;
                        this.open();
                    }
                });
        },
        open() {
            this.$alert(this.error_message, '', {
                confirmButtonText: 'OK'
            });
        }
    }
};
</script>

<template>
    <el-card id="card-container">
        <el-form>
            <el-form-item>
                <el-input
                    placeholder="Please input your email"
                    autofocus="true"
                    v-model="email_from_input"
                    @keyup.enter="store_email()"
                /> </el-form-item
        ></el-form>
        <div id="button-container">
            <el-button id="login-button" @click="store_email()">Login / Sign in</el-button>
        </div>
    </el-card>
</template>

<style>
#card-container {
    width: 500px;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#button-container {
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}
</style>
